Subject: bug#37369: Getting network-manager-openconnect to work

From: Divan Santana <[email-masked]>
Date: Sat, 28 Sep 2019 16:16:40 +0200

pelzflorian (Florian Pelz) <[email-masked]> writes:

> Hello!
>
> There might be a workaround:
>
> NetworkManager stopped segfaulting for me after I “edited” the
> openconnect VPN connection in nm-connection-editor without making any
> changes to the connection.  Apparently this fixed get_secrets_done_cb
> being passed what GDB calls an “<incomplete type>” as the connection
> and crashing in nm_connection_get_setting_by_name.  I need to repeat
> this nm-connection-editor editing after every reboot.
>
> Does editing the VPN connection in nm-connection-editor fix the
> problem for you, Divan Santana?

So firstly I can't edit the connection as my user, without sudo. Not
sure if I need to be in some group to do that?

I then edited something like so:

ds@swift ~ $ sudo nm-connection-editor
Password:

(nm-connection-editor:1990): Gtk-WARNING **: 16:01:57.175: Could not find the icon 'pan-down-symbolic-ltr'. The 'hicolor' theme
was not found either, perhaps you need to install it.
You can get a copy from:
        http://icon-theme.freedesktop.org/releases

(nm-connection-editor:1990): Gtk-WARNING **: 16:02:01.028: Could not load a pixbuf from /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.svg.
This may indicate that pixbuf loaders or the mime database could not be found.
GLib-GIO-Message: 16:02:08.131: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

Once I edited the connection and tried to connect it still fails for me
like this:

ds@swift ~ $ sudo nmcli con up vpn-example --ask
Error: openconnect failed: Could not find "openconnect" binary
A password is required to connect to 'vpn-example'.
Gateway (vpn.secrets.gateway): ^Cds@swift ~ $

On arch, with the same connection file, it works on CLI with above
command.

I then tried starting nm-applet and then running:

ds@swift ~ $ sudo nmcli con up vpn-example

It then brings up the GUI and shows me a certificate for remote
gateway. Asks me to select my group and enter username and password. So
it appears like it's working. It then fails to auth for some reason.

Sep 28 16:07:16 localhost NetworkManager[506]: <info>  [1569679636.8722] vpn-connection[0x1cae420,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0]: VPN service disappeared
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0578] manager: (tun0): new Tun device (/org/freedesktop/NetworkManager/Devices/10)
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0847] device (tun0): state change: unmanaged -> unavailable (reason 'connection-assumed', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0860] keyfile: add connection in-memory (3a679fd7-0450-43ef-8e48-63850b1f0798,"tun0")
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0871] device (tun0): state change: unavailable -> disconnected (reason 'connection-assumed', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0878] device (tun0): Activation: starting connection 'tun0' (3a679fd7-0450-43ef-8e48-63850b1f0798)
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0882] device (tun0): state change: disconnected -> prepare (reason 'none', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0886] device (tun0): state change: prepare -> config (reason 'none', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0888] device (tun0): state change: config -> ip-config (reason 'none', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0889] device (tun0): state change: ip-config -> ip-check (reason 'none', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0891] device (tun0): state change: ip-check -> secondaries (reason 'none', sys-iface-state: 'external')
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.0893] device (tun0): state change: secondaries -> activated (reason 'none', sys-iface-state: 'external')
Sep 28 16:11:33 localhost nscd: 464 monitored file `/etc/resolv.conf` was written to
Sep 28 16:11:33 localhost NetworkManager[506]: <info>  [1569679893.1084] device (tun0): Activation: successful, device activated.
Sep 28 16:11:34 localhost ntpd[507]: Listen normally on 11 tun0 10.7.246.164:123
Sep 28 16:11:34 localhost ntpd[507]: Listen normally on 12 tun0 [fe80::60db:5ddd:b445:60e9%11]:123
Sep 28 16:11:36 localhost nscd: 464 monitored file `/etc/resolv.conf` was moved into place, adding watch
Sep 28 16:11:47 localhost NetworkManager[506]: <info>  [1569679907.3367] device (tun0): state change: activated -> unmanaged (reason 'unmanaged', sys-iface-state: 'removed')
Sep 28 16:11:48 localhost ntpd[507]: Deleting interface #11 tun0, 10.7.246.164#123, interface stats: received=0, sent=0, dropped=0, active_time=14 secs
Sep 28 16:11:48 localhost ntpd[507]: Deleting interface #12 tun0, fe80::60db:5ddd:b445:60e9%11#123, interface stats: received=0, sent=0, dropped=0, active_time=14 secs
Sep 28 16:12:02 localhost NetworkManager[506]: <info>  [1569679922.9339] audit: op="connection-activate" uuid="ed432bd4-9078-493d-a9c3-fb7ac4199917" name="vpn-example" pid=2986 uid=1000 result="success"
Sep 28 16:12:02 localhost NetworkManager[506]: <info>  [1569679922.9371] vpn-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0]: Started the VPN service, PID 2992
Sep 28 16:12:02 localhost NetworkManager[506]: <info>  [1569679922.9439] vpn-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0]: Saw the service appear; activating connection
Sep 28 16:12:13 localhost ntpd[507]: Soliciting pool server 196.10.54.57
Sep 28 16:12:28 localhost NetworkManager[506]: <info>  [1569679948.1291] settings-connection[0x1b091c0,ed432bd4-9078-493d-a9c3-fb7ac4199917]: write: successfully commited (keyfile: update /etc/NetworkManager/system-connections/vpn-example (ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example"))
Sep 28 16:12:28 localhost NetworkManager[506]: <error> [1569679948.1318] vpn-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0]: final secrets request failed to provide sufficient secrets
Sep 28 16:12:28 localhost NetworkManager[506]: <info>  [1569679948.1343] vpn-connection[0x1cae220,ed432bd4-9078-493d-a9c3-fb7ac4199917,"vpn-example",0]: VPN service disappeared
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0102] error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0107] error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0110] error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0114] error requesting auth for org.freedesktop.NetworkManager.settings.modify.own: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0118] error requesting auth for org.freedesktop.NetworkManager.settings.modify.hostname: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0120] error requesting auth for org.freedesktop.NetworkManager.settings.modify.global-dns: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0124] error requesting auth for org.freedesktop.NetworkManager.reload: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0127] error requesting auth for org.freedesktop.NetworkManager.checkpoint-rollback: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0130] error requesting auth for org.freedesktop.NetworkManager.enable-disable-statistics: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory
Sep 28 16:12:46 localhost NetworkManager[506]: <warn>  [1569679966.0133] error requesting auth for org.freedesktop.NetworkManager.enable-disable-connectivity-check: Authorization check failed: Failed to open file “/proc/3076/status”: No such file or directory